Class Fox::FXMenubar

In: | FXMenubar.rb
Parent: | FXToolbar

Menu bar

Methods

new new

Public Class methods

new(p, q, opts=LAYOUT_TOP|LAYOUT_LEFT|LAYOUT_FILL_X, x=0, y=0, width=0, height=0, padLeft=3, padRight=3, padTop=2, padBottom=2, hSpacing=DEFAULT_SPACING, vSpacing=DEFAULT_SPACING) {|theMenubar| ...}

Construct a floatable menubar. Normally, the menubar is docked under window p. When floated, the menubar can be docked under window q, which is typically an FXToolbarShell window.

new(parent, opts=LAYOUT_TOP|LAYOUT_LEFT|LAYOUT_FILL_X, x=0, y=0, width=0, height=0, padLeft=3, padRight=3, padTop=2, padBottom=2, hSpacing=DEFAULT_SPACING, vSpacing=DEFAULT_SPACING) {|theMenubar| ...}

Construct a non-floatable menubar. The menubar can not be undocked.